<?php

namespace MainBundle\Entity;

/**
 * ProjetRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ProjetRepository extends \Doctrine\ORM\EntityRepository
{
    public function nbreProjetVisible($created) {
        return $this->createQueryBuilder("p")
                        ->select("COUNT(p)")
                        ->where('p.date >= :created')
                        ->setParameter('created', $created)
                        ->getQuery()
                        ->getSingleScalarResult();
    }
}
